#include<iostream>
using namespace std;

int main(){
    int n,x,y;
    cin >> n;
    int nizx[n];
    int nizy[n];
    for (int i=0;i<n;i++){
        cin >> nizx[i] >> nizy[i]
    }
    float a[n*(n-1)/2];
    float r[n*(n-1)/2];
    int br=0;
    for (int i=0;i<n-1;i++){
        for (int j=i+1;j<n;j++){
            a[br]=(nizx[i]*1.0-nizx[j])/(nizy[i]-nizy[j]);
            r[br]=(nizx[i]*1.0-nizx[j])*(nizx[i]*1.0-nizx[j])+(nizy[i]*1.0-nizy[j])*(nizy[i]*1.0-nizy[j]);
        }
    }
    

}